org.gjt.sp.jedit.gui.tray

## Class JEditSwingTrayIcon

- java.lang.Object
- - java.awt.TrayIcon
  - - org.gjt.sp.jedit.gui.tray.JTrayIcon
    - - org.gjt.sp.jedit.gui.tray.JEditTrayIcon
      - - org.gjt.sp.jedit.gui.tray.JEditSwingTrayIcon

All Implemented Interfaces:
  EBComponent

    public class JEditSwingTrayIcon
    extends JEditTrayIcon
    implements EBComponent

Since:
  jEdit 4.5pre1

### Nested Class Summary

### Nested classes/interfaces inherited from class java.awt.TrayIcon

`java.awt.TrayIcon.MessageType`

### Constructor Summary

Constructors
Constructor and Description
`JEditSwingTrayIcon()`

### Method Summary

Methods
`void` `handleMessage(EBMessage message)` Handles a message sent on the EditBus.

### Methods inherited from class org.gjt.sp.jedit.gui.tray.JTrayIcon

`getMenu, setMenu`

### Methods inherited from class java.awt.TrayIcon

`addActionListener, addMouseListener, addMouseMotionListener, displayMessage, getActionCommand, getActionListeners, getImage, getMouseListeners, getMouseMotionListeners, getPopupMenu, getSize, getToolTip, isImageAutoSize, removeActionListener, removeMouseListener, removeMouseMotionListener, setActionCommand, setImage, setImageAutoSize, setPopupMenu, setToolTip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JEditSwingTrayIcon

    public JEditSwingTrayIcon()

### Method Detail

#### handleMessage

    public void handleMessage(EBMessage message)

Description copied from interface: `EBComponent`
Handles a message sent on the EditBus. This method must specify the type of responses the plugin will have for various subclasses of the `EBMessage` class. Typically this is done with one or more `if` blocks that test whether the message is an instance of a derived message class in which the component has an interest. For example:

     if(msg instanceof BufferUpdate) {
         // a buffer's state has changed!
     }
     else if(msg instanceof ViewUpdate) {
         // a view's state has changed!
     }
     // ... and so on

Specified by:
  `handleMessage` in interface `EBComponent`
Parameters:
  `message` - The message